# Send MIDI system message - stop

``

    midi_stop

Sends the MIDI stop system message to all connected MIDI devices on all ports. Use the `port:` opt to restrict which MIDI ports are used.

Stops the current sequence.

MIDI 1.0 Specification - System Real-Time Messages - Start

Introduced in v3.0

## Options

port: | MIDI Port(s) to send the stop message to

## Example

# Example 1
``
    midi_stop
| ``
    #=> Send stop message to all connected MIDI devices